org.apache.sling.jcr.contentparser.impl

## Class JsonContentParser

- java.lang.Object
- - org.apache.sling.jcr.contentparser.impl.JsonContentParser

All Implemented Interfaces:
  ContentParser

    public final class JsonContentParser
    extends Object
    implements ContentParser

Parses JSON files that contains content fragments. Instance of this class is thread-safe.

### Constructor Summary

Constructors
Constructor and Description
`JsonContentParser(ParserOptions options)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `parse(ContentHandler handler, InputStream is)` Parse content in a "stream-based" way.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JsonContentParser

    public JsonContentParser(ParserOptions options)

### Method Detail

#### parse

    public void parse(ContentHandler handler,
                      InputStream is)
               throws IOException,
                      ParseException

Description copied from interface: `ContentParser`
Parse content in a "stream-based" way. Each resource that is found in the content is reported to the contentHandler.

Specified by:
  `parse` in interface `ContentParser`
Parameters:
  `handler` - Content handler that accepts the parsed content.
  `is` - Stream with serialized content
Throws:
  `IOException` - When I/O error occurs.
  `ParseException` - When parsing error occurs.